Package fr.gouv.vitam.common.client

# Enum Class VitamClientFactoryInterface.VitamClientType

java.lang.Object
java.lang.Enum<VitamClientFactoryInterface.VitamClientType>
fr.gouv.vitam.common.client.VitamClientFactoryInterface.VitamClientType

All Implemented Interfaces:
  `Serializable`, `Comparable<VitamClientFactoryInterface.VitamClientType>`, `Constable`

Enclosing interface:
  `VitamClientFactoryInterface<T extends MockOrRestClient>`

public static enum VitamClientFactoryInterface.VitamClientType extends Enum<VitamClientFactoryInterface.VitamClientType>
enum to define client type

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MOCK`
  To use only in MOCK ACCESS
  `PRODUCTION`
  Use real service (need server to be set)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VitamClientFactoryInterface.VitamClientType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VitamClientFactoryInterface.VitamClientType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MOCK

    public static final VitamClientFactoryInterface.VitamClientType MOCK
    To use only in MOCK ACCESS

  - ### PRODUCTION

    public static final VitamClientFactoryInterface.VitamClientType PRODUCTION
    Use real service (need server to be set)

- ## Method Details

  - ### values

    public static VitamClientFactoryInterface.VitamClientType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VitamClientFactoryInterface.VitamClientType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null